# Ladestationen

Über den Endpunkt <mark style="background-color:blue;">/stations</mark> können alle Ladestationen aufgelistet werden, an welchen mit der PUMP fleet API geladen werden kann.

#### Pflicht Parameter - Bounding Box

| Parameter      | Beschreibung                 |
| -------------- | ---------------------------- |
| min\_latitude  | Untere Grenze der Latitude.  |
| max\_latitude  | Obere Grenze der Latitude.   |
| min\_longitude | Untere Grenze der Longitude. |
| max\_longitude | Obere Grenze der Longitude.  |

#### Pflichtparameter - Umkreis

| Parameter         | Beschreibung                       |
| ----------------- | ---------------------------------- |
| center\_latitude  | Latitude des Mittelpunkts.         |
| center\_longitude | Longitude des Mittelpunkts.        |
| radius            | Radius der Umkreissuche in Metern. |

Das folgende Beispiel zeigt eine Auflistung der Ladestationen in einer Bounding Box.

{% code lineNumbers="true" %}

```
curl --request GET \
  --url 'https://data.800volt.de/public/charging/1/stations?min_latitude=52.443045&max_latitude=52.857358&min_longitude=12.681973&max_longitude=13.467558' \
  --header 'Accept-Encoding: gzip' \
  --header 'x-api-key: YOUR_API_KEY'
```

{% endcode %}

Das Ergebnis ist eine Liste von Ladestationen.

{% code lineNumbers="true" %}

```json
{
    "stations": [
        {
            "station_id": "861a47b2-0abd-11ee-92c7-c5d6a553446b",
            "station_operator": "Berliner Stadtwerke",
            "realtime_data_available": true,
            "max_power": 50,
            "latitude": 52.504851,
            "longitude": 13.431287,
            "plug_types": ["CCS_2", "TYPE_2", "CHADEMO"],
            "always_open": true,
            "charge_points_available": 2,
            "charge_points_out_of_service": 0,
            "charge_points_occupied": 1,
            "charge_points_unknown": 0,
            "charge_points": 3
        }
    ]
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pumpapp.co/pump-connect/entwickler/pump-fleet/ladestationen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
